Bug 1731630 - grin depends on Python 2
Summary: grin depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: grin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1737813 (view as bug list)
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-07-20 06:43 UTC by Lumír Balhar
Modified: 2019-08-06 12:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 18:02:06 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-07-20 06:43:35 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for grin's future. Specifically:

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to grin.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-07-20 06:44:36 UTC
The last release is from 2010 so I am not sure how much active this project is.

Comment 2 Lumír Balhar 2019-07-29 04:49:49 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 3 Terje Røsten 2019-07-30 06:30:01 UTC
Hi,

sorry for late reply, summertime... :-)

Seems like there are  Python 3 patches for grin, let me have a look on those.

Comment 5 Miro Hrončok 2019-08-05 21:56:45 UTC
Thank You!

Comment 6 Lumír Balhar 2019-08-06 12:00:00 UTC
*** Bug 1737813 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.